org.apache.xmlgraphics.ps

## Class DSCConstants

- java.lang.Object
- - org.apache.xmlgraphics.ps.DSCConstants

-     public final class DSCConstants
      extends java.lang.Object

  This class defines constants with Strings for the DSC specification.
  Version:
    $Id: DSCConstants.java 1345683 2012-06-03 14:50:33Z gadams $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `ATEND` Indicator for the PostScript interpreter that the value is provided later in the document (mostly in the %%Trailer section).
    `static java.lang.String` | `BBOX` Bounding box for the document
    `static java.lang.String` | `BEGIN_DATA` Indicates the start of a data section
    `static java.lang.String` | `BEGIN_DEFAULTS` Indicates the start of the defaults section
    `static java.lang.String` | `BEGIN_DOCUMENT` Indicates the start of an embedded document
    `static java.lang.String` | `BEGIN_EMULATION` Indicates the start of a non-PostScript section
    `static java.lang.String` | `BEGIN_FEATURE` Indicates the start of a PPD feature
    `static java.lang.String` | `BEGIN_OBJECT` Indicates the start of a graphic object
    `static java.lang.String` | `BEGIN_PAGE_SETUP` Indicates the start of the page setup section
    `static java.lang.String` | `BEGIN_PREVIEW` Indicates the start of a preview section (EPS only)
    `static java.lang.String` | `BEGIN_PROLOG` Indicates the start of the prolog
    `static java.lang.String` | `BEGIN_RESOURCE` Indicates the start of a resource (font, file, procset)
    `static java.lang.String` | `BEGIN_SETUP` Indicates the start of the document setup
    `static java.lang.String` | `COPYRIGHT` Copyright information associated with the document or resource
    `static java.lang.String` | `CREATION_DATE` Date and time when the document was created
    `static java.lang.String` | `CREATOR` Creator of the document
    `static java.lang.String` | `DOCUMENT_DATA` Type of data
    `static java.lang.String` | `DOCUMENT_MEDIA` This comment indicates all types of paper media (paper sizes, weight, color) this document requires.
    `static java.lang.String` | `DOCUMENT_NEEDED_RESOURCES` This comment provides a list of resources the document needs
    `static java.lang.String` | `DOCUMENT_SUPPLIED_RESOURCES` This comment provides a list of resources the document includes
    `static java.lang.String` | `EMULATION` Use for indicating an emulator being invoked in the document
    `static java.lang.String` | `END_COMMENTS` Explicit end of comments
    `static java.lang.String` | `END_DATA` Indicates the end of a data section
    `static java.lang.String` | `END_DEFAULTS` Indicates the end of the defaults section
    `static java.lang.String` | `END_DOCUMENT` Indicates the end of an embedded document
    `static java.lang.String` | `END_EMULATION` Indicates the end of a non-PostScript section
    `static java.lang.String` | `END_FEATURE` Indicates the end of a PPD feature
    `static java.lang.String` | `END_OBJECT` Indicates the end of a graphic object
    `static java.lang.String` | `END_PAGE` Deprecated. Shouldn't really use that. Bad idea. "Page" and "Trailer" end a page.
    `static java.lang.String` | `END_PAGE_SETUP` Indicates the end of the page setup section
    `static java.lang.String` | `END_PREVIEW` Indicates the end of a preview section (EPS only)
    `static java.lang.String` | `END_PROLOG` Indicates the end of the prolog
    `static java.lang.String` | `END_RESOURCE` Indicates the end of a resource (font, file, procset)
    `static java.lang.String` | `END_SETUP` Indicates the end of the document setup
    `static java.lang.String` | `EOF` Indicates the end of the document
    `static java.lang.String` | `EPSF_30` Lead-in for an EPS file
    `static java.lang.String` | `EXTENSIONS` Required PostScript Level 1 extension for this document
    `static java.lang.String` | `FOR` Indicates who is this document printed for
    `static java.lang.String` | `HIRES_BBOX` High-resolution bounding box for the document
    `static java.lang.String` | `INCLUDE_DOCUMENT` Indicates a referenced embedded document
    `static java.lang.String` | `INCLUDE_FEATURE` Indicates a referenced a PPD feature
    `static java.lang.String` | `INCLUDE_RESOURCE` Indicates a referenced a resource (font, file, procset)
    `static java.lang.String` | `LANGUAGE_LEVEL` Indicates the PostScript language level used in the document
    `static java.lang.String` | `NEXT_LINE` Indicates a continued line
    `static java.lang.String` | `ORIENTATION` Indicates the orientation of the document
    `static java.lang.String` | `PAGE` Indicates a page number
    `static java.lang.String` | `PAGE_BBOX` Bounding box for a page
    `static java.lang.String` | `PAGE_HIRES_BBOX` High-resolution bounding box for a page
    `static java.lang.String` | `PAGE_MEDIA` Indicates that the paper attributes denoted by medianame are invoked on this page.
    `static java.lang.String` | `PAGE_ORDER` Indicates the order of the pages
    `static java.lang.String` | `PAGE_ORIENTATION` Bounding box for a page
    `static java.lang.String` | `PAGE_REQUIREMENTS` This is the page-level invocation of a combination of the options listed in the %%Requirements: comment.
    `static java.lang.String` | `PAGE_RESOURCES` This comment indicates the names and values of all resources that are needed or supplied on the present page.
    `static java.lang.String` | `PAGE_TRAILER` Indicates the start of the page trailer
    `static java.lang.String` | `PAGES` Number of pages in the document
    `static java.lang.String` | `PS_ADOBE_30` Lead-in for a DSC-conformant PostScript file
    `static java.lang.String` | `REQUIREMENTS` This comment describes document requirements, such as duplex printing, hole punching, collating, or other physical document processing needs.
    `static java.lang.String` | `ROUTING` Indicates how the document should be routed back to its owner
    `static java.lang.String` | `TITLE` Title of the document
    `static java.lang.String` | `TRAILER` Indicates the start of the document trailer
    `static java.lang.String` | `VERSION` Version of the document

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PS_ADOBE_30

          public static final java.lang.String PS_ADOBE_30

      Lead-in for a DSC-conformant PostScript file
      See Also:
        Constant Field Values

    - #### EPSF_30

          public static final java.lang.String EPSF_30

      Lead-in for an EPS file
      See Also:
        Constant Field Values

    - #### BBOX

          public static final java.lang.String BBOX

      Bounding box for the document
      See Also:
        Constant Field Values

    - #### HIRES_BBOX

          public static final java.lang.String HIRES_BBOX

      High-resolution bounding box for the document
      See Also:
        Constant Field Values

    - #### COPYRIGHT

          public static final java.lang.String COPYRIGHT

      Copyright information associated with the document or resource
      See Also:
        Constant Field Values

    - #### CREATOR

          public static final java.lang.String CREATOR

      Creator of the document
      See Also:
        Constant Field Values

    - #### CREATION_DATE

          public static final java.lang.String CREATION_DATE

      Date and time when the document was created
      See Also:
        Constant Field Values

    - #### DOCUMENT_DATA

          public static final java.lang.String DOCUMENT_DATA

      Type of data
      See Also:
        Constant Field Values

    - #### EMULATION

          public static final java.lang.String EMULATION

      Use for indicating an emulator being invoked in the document
      See Also:
        Constant Field Values

    - #### END_COMMENTS

          public static final java.lang.String END_COMMENTS

      Explicit end of comments
      See Also:
        Constant Field Values

    - #### EXTENSIONS

          public static final java.lang.String EXTENSIONS

      Required PostScript Level 1 extension for this document
      See Also:
        Constant Field Values

    - #### FOR

          public static final java.lang.String FOR

      Indicates who is this document printed for
      See Also:
        Constant Field Values

    - #### LANGUAGE_LEVEL

          public static final java.lang.String LANGUAGE_LEVEL

      Indicates the PostScript language level used in the document
      See Also:
        Constant Field Values

    - #### ORIENTATION

          public static final java.lang.String ORIENTATION

      Indicates the orientation of the document
      See Also:
        Constant Field Values

    - #### PAGES

          public static final java.lang.String PAGES

      Number of pages in the document
      See Also:
        Constant Field Values

    - #### PAGE_ORDER

          public static final java.lang.String PAGE_ORDER

      Indicates the order of the pages
      See Also:
        Constant Field Values

    - #### ROUTING

          public static final java.lang.String ROUTING

      Indicates how the document should be routed back to its owner
      See Also:
        Constant Field Values

    - #### TITLE

          public static final java.lang.String TITLE

      Title of the document
      See Also:
        Constant Field Values

    - #### VERSION

          public static final java.lang.String VERSION

      Version of the document
      See Also:
        Constant Field Values

    - #### NEXT_LINE

          public static final java.lang.String NEXT_LINE

      Indicates a continued line
      See Also:
        Constant Field Values

    - #### BEGIN_DATA

          public static final java.lang.String BEGIN_DATA

      Indicates the start of a data section
      See Also:
        Constant Field Values

    - #### END_DATA

          public static final java.lang.String END_DATA

      Indicates the end of a data section
      See Also:
        Constant Field Values

    - #### BEGIN_DEFAULTS

          public static final java.lang.String BEGIN_DEFAULTS

      Indicates the start of the defaults section
      See Also:
        Constant Field Values

    - #### END_DEFAULTS

          public static final java.lang.String END_DEFAULTS

      Indicates the end of the defaults section
      See Also:
        Constant Field Values

    - #### BEGIN_EMULATION

          public static final java.lang.String BEGIN_EMULATION

      Indicates the start of a non-PostScript section
      See Also:
        Constant Field Values

    - #### END_EMULATION

          public static final java.lang.String END_EMULATION

      Indicates the end of a non-PostScript section
      See Also:
        Constant Field Values

    - #### BEGIN_PREVIEW

          public static final java.lang.String BEGIN_PREVIEW

      Indicates the start of a preview section (EPS only)
      See Also:
        Constant Field Values

    - #### END_PREVIEW

          public static final java.lang.String END_PREVIEW

      Indicates the end of a preview section (EPS only)
      See Also:
        Constant Field Values

    - #### BEGIN_PROLOG

          public static final java.lang.String BEGIN_PROLOG

      Indicates the start of the prolog
      See Also:
        Constant Field Values

    - #### END_PROLOG

          public static final java.lang.String END_PROLOG

      Indicates the end of the prolog
      See Also:
        Constant Field Values

    - #### BEGIN_SETUP

          public static final java.lang.String BEGIN_SETUP

      Indicates the start of the document setup
      See Also:
        Constant Field Values

    - #### END_SETUP

          public static final java.lang.String END_SETUP

      Indicates the end of the document setup
      See Also:
        Constant Field Values

    - #### BEGIN_OBJECT

          public static final java.lang.String BEGIN_OBJECT

      Indicates the start of a graphic object
      See Also:
        Constant Field Values

    - #### END_OBJECT

          public static final java.lang.String END_OBJECT

      Indicates the end of a graphic object
      See Also:
        Constant Field Values

    - #### BEGIN_PAGE_SETUP

          public static final java.lang.String BEGIN_PAGE_SETUP

      Indicates the start of the page setup section
      See Also:
        Constant Field Values

    - #### END_PAGE_SETUP

          public static final java.lang.String END_PAGE_SETUP

      Indicates the end of the page setup section
      See Also:
        Constant Field Values

    - #### PAGE

          public static final java.lang.String PAGE

      Indicates a page number
      See Also:
        Constant Field Values

    - #### PAGE_BBOX

          public static final java.lang.String PAGE_BBOX

      Bounding box for a page
      See Also:
        Constant Field Values

    - #### PAGE_HIRES_BBOX

          public static final java.lang.String PAGE_HIRES_BBOX

      High-resolution bounding box for a page
      See Also:
        Constant Field Values

    - #### PAGE_ORIENTATION

          public static final java.lang.String PAGE_ORIENTATION

      Bounding box for a page
      See Also:
        Constant Field Values

    - #### PAGE_TRAILER

          public static final java.lang.String PAGE_TRAILER

      Indicates the start of the page trailer
      See Also:
        Constant Field Values

    - #### TRAILER

          public static final java.lang.String TRAILER

      Indicates the start of the document trailer
      See Also:
        Constant Field Values

    - #### END_PAGE

          public static final java.lang.String END_PAGE

      Deprecated. Shouldn't really use that. Bad idea. "Page" and "Trailer" end a page.
      Indicates the end of a page (NON-STANDARD!)
      See Also:
        Constant Field Values

    - #### EOF

          public static final java.lang.String EOF

      Indicates the end of the document
      See Also:
        Constant Field Values

    - #### DOCUMENT_MEDIA

          public static final java.lang.String DOCUMENT_MEDIA

      This comment indicates all types of paper media (paper sizes, weight, color) this document requires.
      See Also:
        Constant Field Values

    - #### DOCUMENT_NEEDED_RESOURCES

          public static final java.lang.String DOCUMENT_NEEDED_RESOURCES

      This comment provides a list of resources the document needs
      See Also:
        Constant Field Values

    - #### DOCUMENT_SUPPLIED_RESOURCES

          public static final java.lang.String DOCUMENT_SUPPLIED_RESOURCES

      This comment provides a list of resources the document includes
      See Also:
        Constant Field Values

    - #### REQUIREMENTS

          public static final java.lang.String REQUIREMENTS

      This comment describes document requirements, such as duplex printing, hole punching, collating, or other physical document processing needs.
      See Also:
        Constant Field Values

    - #### BEGIN_DOCUMENT

          public static final java.lang.String BEGIN_DOCUMENT

      Indicates the start of an embedded document
      See Also:
        Constant Field Values

    - #### END_DOCUMENT

          public static final java.lang.String END_DOCUMENT

      Indicates the end of an embedded document
      See Also:
        Constant Field Values

    - #### INCLUDE_DOCUMENT

          public static final java.lang.String INCLUDE_DOCUMENT

      Indicates a referenced embedded document
      See Also:
        Constant Field Values

    - #### BEGIN_FEATURE

          public static final java.lang.String BEGIN_FEATURE

      Indicates the start of a PPD feature
      See Also:
        Constant Field Values

    - #### END_FEATURE

          public static final java.lang.String END_FEATURE

      Indicates the end of a PPD feature
      See Also:
        Constant Field Values

    - #### INCLUDE_FEATURE

          public static final java.lang.String INCLUDE_FEATURE

      Indicates a referenced a PPD feature
      See Also:
        Constant Field Values

    - #### BEGIN_RESOURCE

          public static final java.lang.String BEGIN_RESOURCE

      Indicates the start of a resource (font, file, procset)
      See Also:
        Constant Field Values

    - #### END_RESOURCE

          public static final java.lang.String END_RESOURCE

      Indicates the end of a resource (font, file, procset)
      See Also:
        Constant Field Values

    - #### INCLUDE_RESOURCE

          public static final java.lang.String INCLUDE_RESOURCE

      Indicates a referenced a resource (font, file, procset)
      See Also:
        Constant Field Values

    - #### PAGE_MEDIA

          public static final java.lang.String PAGE_MEDIA

      Indicates that the paper attributes denoted by medianame are invoked on this page.
      See Also:
        Constant Field Values

    - #### PAGE_REQUIREMENTS

          public static final java.lang.String PAGE_REQUIREMENTS

      This is the page-level invocation of a combination of the options listed in the %%Requirements: comment.
      See Also:
        Constant Field Values

    - #### PAGE_RESOURCES

          public static final java.lang.String PAGE_RESOURCES

      This comment indicates the names and values of all resources that are needed or supplied on the present page.
      See Also:
        Constant Field Values

    - #### ATEND

          public static final java.lang.Object ATEND

      Indicator for the PostScript interpreter that the value is provided later in the document (mostly in the %%Trailer section).

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.